scala.tools.nsc.Global

# cleanup

#### object cleanup extends CleanUp

Linear Supertypes
CleanUp, TreeDSL, Transform, SubComponent, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. cleanup
2. CleanUp
3. TreeDSL
4. Transform
5. SubComponent
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class CleanUpTransformer extends Global.Transformer

   Definition Classes
     CleanUp

2. #### class Phase extends StdPhase

   The phase defined by this transform

3. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### object CODE

   Definition Classes
     TreeDSL

7. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### final def beforeOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      cleanup → TreeDSL → SubComponent

16. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

17. #### val internal: Boolean

    Internal flag to tell external from internal phases

    Internal flag to tell external from internal phases

    Definition Classes
      SubComponent

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def newPhase(prev: nsc.Phase): StdPhase

    Create a new phase which applies transformer

    Create a new phase which applies transformer

    Definition Classes
      Transform → SubComponent

21. #### def newTransformer(unit: Global.CompilationUnit): Global.Transformer

    The transformer factory

    The transformer factory

    Attributes
      protected
    Definition Classes
      CleanUp → Transform

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def ownPhase: nsc.Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

25. #### val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      CleanUp → SubComponent

26. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

27. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

28. #### val runsAfter: collection.immutable.List[String]

    List of phase names, this phase should run after

    List of phase names, this phase should run after

    Definition Classes
      cleanup → SubComponent

29. #### val runsBefore: List[String]

    List of phase names, this phase should run before

    List of phase names, this phase should run before

    Definition Classes
      SubComponent

30. #### val runsRightAfter: None.type

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Definition Classes
      cleanup → SubComponent

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CleanUp

### Inherited from TreeDSL

### Inherited from Transform

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped